Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.service
Interface AbstractExternalPeerHandle

All Known Subinterfaces:
  ExternalPeerHandle, PeerService

All Known Implementing Classes:
  LivePeerHandle, LivePeerService, SimulatedPeerHandle, SimulatedPeerService, SimulatedWithCloningPeerService, TestPeerHandle

    public interface AbstractExternalPeerHandle

Author:
  Cyril Briquet

Method Summary
`void` | `cancelLocalTaskOnSupplyingResource(java.lang.String supplier_id, Task t)`
`void` | `cancelSupplyingTaskOnLocalResource(java.lang.String consumer_id, Task t)`
`ConsumptionTaskID` | `computeSupplyingTask(java.lang.String consumer_id, Task t)`
`void` | `grantConsumption(java.lang.String supplier_id, int granted_count)`
`boolean` | `isAlive()`
`int` | `peerPort()`
`void` | `requestSupplying(java.lang.String consumer_id, int tasks_count)`
`void` | `uploadBySupplyingCompletedTask(java.lang.String supplier_id, Task t)`

Method Detail

### peerPort

    int peerPort()

### requestSupplying

    void requestSupplying(java.lang.String consumer_id,
                          int tasks_count)
                          throws GridException

  Throws:
    `GridException`

### grantConsumption

    void grantConsumption(java.lang.String supplier_id,
                          int granted_count)
                          throws GridException

  Throws:
    `GridException`

### computeSupplyingTask

    ConsumptionTaskID computeSupplyingTask(java.lang.String consumer_id,
                                           Task t)
                                           throws GridException

  Throws:
    `GridException`

### cancelSupplyingTaskOnLocalResource

    void cancelSupplyingTaskOnLocalResource(java.lang.String consumer_id,
                                            Task t)
                                            throws GridException

  Throws:
    `GridException`

### cancelLocalTaskOnSupplyingResource

    void cancelLocalTaskOnSupplyingResource(java.lang.String supplier_id,
                                            Task t)
                                            throws GridException

  Throws:
    `GridException`

### uploadBySupplyingCompletedTask

    void uploadBySupplyingCompletedTask(java.lang.String supplier_id,
                                        Task t)
                                        throws GridException

  Throws:
    `GridException`

### isAlive

    boolean isAlive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.